(in-package :oou)
(oou-provide :back-PICT)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; back-PICT.Lisp
;;
;; Copyright  1991 Northwestern University Institute for the Learning Sciences
;; All Rights Reserved
;;
;; author: Michael S. Engber
;;
;; view and window classes with background PICTs
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;


(oou-dependencies
 :PICT-svm)

(export '(back-PICT-window back-PICT-view))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
          
(defclass back-PICT-view (PICT-svm view) ())

(defclass back-PICT-window (PICT-svm window) ())


;;hacks needed because install-view-in-window and remove-view-from-window
;;aren't called on windows.

(defmethod initialize-instance :after ((w back-PICT-window) &rest initargs)
  (declare (ignore initargs))
  (rsrc-handle-install w)
  (invalidate-view w nil))


(defmethod window-close :before ((w back-PICT-window))
  (rsrc-handle-remove w))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

#|

(make-instance 'back-PICT-window
  :view-size #@(274 278)
  :PICT-file "oou:examples;MrT.PICT"
  :PICT-storage :disk
  :PICT-scaling :scale-to-view)


|#